## texlive-base 2025.20250927

=== Makefile ===
SHELL := /bin/bash
.PHONY: clean all
.SECONDARY:
.DEFAULT_GOAL := all

# todo: compare to the list of used .dtxs
clean:
	find . \( \( -type f -not \( \
		-name '*.dtx' -or -name 'ins.*' -or -name .gitignore -or               \
		-name Makefile -or -name memoize.cfg -or -name extract-excerpts.pl -or \
		-name get-filename-from-mmz.tex                                        \
	\) \) -or \( -type d -name '*.memo.dir' \) \) -print -delete

# expand_n
#
# $(eval $(call expand_n,n,text))
#
# $(1) = <n>
# $(2) = <text>
#
# Returns <n> copies of <text>, with "$$n" in text replaced by i = 1 .. n
# Copies of text are separated by a space, and there's a space at the end, too.
#
# Uses the shell to do this.
#
# Example:
# $(call expand_n,3,file$$n.txt) --> 'file1.txt file2.txt file3.txt '

define expand_n
$(shell for ((n=1;$$n<=$(or $(1),0);n++)) ; do echo -n "$(2) " ; done)
endef


# DTX
#
# $(eval $(call DTX,filename,n))
#
# $(1) = <filename> (may contain suffixes)
# $(2) = <n>, optional
# 
# If <n> is not given, define a rule which processes <filename>.dtx to
# produce <filename>, <filename>.listing and <filename>.attachment.
#
# If <n> is given, it produces <filename>.c<i>, <filename>.c<i>.listing and
# <filename>.c<i>.attachment, for i = 1 .. n
#
# <filename>.ins is produced as an intermediary file.

define DTX
ifeq ($(2),)
TARGETS += $(1)
DTXS += $(1).dtx
$(1) $(1).listing $(1).attachment &: $(1).dtx
else
TARGETS += $(1).c$(2)
$(call expand_n,$(2),$(1).c$$n $(1).c$$n.listing $(1).c$$n.attachment) &: $(1).dtx
endif
	sed 's|example|$(1)|g;' ins.begin > $(1).ins
ifneq ($(2),)
	for ((n=1;$$$$n<=$(or $(2),0);n++)) ;                                   \
		do sed "s|example|$(1)|g; s/c1/c$$$$n/g;" ins.mid >> $(1).ins ; \
	done
endif
	cat ins.end >> $(1).ins
	tex -interaction batchmode $(1).ins
	shopt -s nullglob ; \
		sed -i 's/~//g;' $(1) $(1).attachment $(1).c? $(1).c?.attachment
endef

# PDF
#
# $(eval $(call PDF,basename,n,extra_prereqs,before_each_compilation))
#
# $(1) = <basename>
# $(2) = <n>, optional
# $(3) = extra_prerequisites, optional
# $(4) = before_each_compilation, optional
# 
# If <n> is not given, define a rule which compiles <filename>.tex (the
# prerequisite) to produce <filename>.pdf (the target).
#
# If <n> is given, then for each i = 1 ... n:
#   <filename>.tex.c<i> is copied to <filename>.tex,
#   which is compiled into <filename>.pdf,
#   which is copied to <filename>.c<i>.pdf
# All <filename>.tex.c<i> are prerequisites.
# <filename>.c<i>.pdf are grouped targets.
#
# There is cleaning before compilation.
#
# If extra_prerequisites are given, they are added to prerequisites.
#
# If before_each_compilation is given, it is executed (in bash) just before
# each compilation; the value should end in ";". Use "$$$$n" in the value to
# refer to the compilation cycle number.

define PDF
ifeq ($(2),)
TARGETS += $(1).pdf
$(1).pdf $(1).mmz &: $(1).tex $(3)
else
TARGETS += $(1).c$(2).pdf
$(call expand_n,$(or $(2),0),$(1).c$$n.pdf $(1).mmz.c$$n) &: $(call expand_n,$(or $(2),0),$(1).tex.c$$n) $(3)
endif
	rm -rf $(1).mmz $(1).memo.dir
	latexmk -C $(1) || true
ifeq ($(2),)
	pdflatex -interaction batchmode $(1)
else
	for ((n=1;$$$$n<=$(or $(2),0);n++)) ; do                                 \
		cp $(1).tex.c$$$$n $(1).tex ; $(4)                         \
		pdflatex -interaction batchmode $(1) ;                   \
		cp $(1).pdf $(1).c$$$$n.pdf ;                                \
		if [[ -a $(1).mmz ]] ; then cp $(1).mmz $(1).mmz.c$$$$n ; fi ; \
	done
	rm -f $(1).{tex,pdf,mmz}
endif
endef


# ATT
#
# $(eval $(call ATT,filename,n,attachment_filename))
#
# $(1) = <filename>
# $(2) = <n>, optional
# $(3) = <attachment_filename> optional
#
# Copy <filename> (<filename>.c<n>, if <n> is given) to "attachments" folder.
# The destination is named <attachment_filename>, if given, otherwise <filename>.

define ATT
ATTACHMENTS += attachments/$$(or $(3),$(1))
attachments/$$(or $(3),$(1)): $(1)$(if $(2),.c$(2),).attachment
	mkdir -p $$(dir $$@)
	cp $$< $$@
endef


# DTX+PDF: a shorthand for DTX(<basename.tex>,<n>) followed by PDF(<basename>,<n>).
define DTX+PDF
$(eval $(call DTX,$(1).tex,$(2)))
$(eval $(call PDF,$(1),$(2)))
endef

# DTX+ATT: a shorthand for DTX(<filename>,<n>) followed by ATT(<filename>,<n>).
define DTX+ATT
$(eval $(call DTX,$(1),$(2)))
$(eval $(call ATT,$(1),$(2)))
endef

# DTX+PDF+ATT: a shorthand for DTX(<basename.tex>,<n>) followed by
# PDF(<basename>,<n>) and ATT(<basename>.tex,<n>)
define DTX+PDF+ATT
$(eval $(call DTX,$(1).tex,$(2)))
$(eval $(call PDF,$(1),$(2)))
$(eval $(call ATT,$(1).tex,$(2)))
endef


# Utilities

EMPTY :::=
SPACE :::= $(EMPTY) $(EMPTY)
COMMA = ,
COLON_SPACE = :$(SPACE)
TAB = $(EMPTY)	$(EMPTY)
define NEWLINE


endef

SED_CMD :::= \\\\\([a-zA-Z]\\+\)
SED_CMD_ :::= \\\\[a-zA-Z]\\+
SED_MARG :::= {\([^}]*\)}
SED_MARG_ :::= {[^}]*}

GET_FILENAME_FROM_MMZ = etex \
'\input{get-filename-from-mmz}\get{$(1)}{$(2)}{$(3)}{$(4)}{$(5)}'

# Various

%.listing.attachment: %.listing
	sed 's/~//g;' $< > $@

%.excerpts: ../../%.edtx
	perl extract-excerpts.pl $< > $@
	grep -v '^_' $@ | xargs -r cp -t attachments

TARGETS :=


################################################################################

$(eval $(call DTX+ATT,ConTeXt.tex))

$(eval $(call DTX,auto-ref.tex))

$(eval $(call DTX,collargs-ignore-other-tags.tex,2))

$(eval $(call DTX,collargs-ignore-nesting-true.tex))

$(eval $(call DTX+PDF,automemoize-command))
$(eval $(call ATT,automemoize-command.tex))

$(eval $(call DTX+PDF,automemoize-environment))
$(eval $(call ATT,automemoize-environment.tex))

$(eval $(call DTX+PDF,beamer))
$(eval $(call ATT,beamer.tex))
TARGETS += beamer.cmemo.listing beamer.ccmemo.listing
beamer.cmemo: beamer.mmz
	$(call GET_FILENAME_FROM_MMZ,GetFirst,mmzNewCMemo,$<,mymemo,$@)
beamer.cmemo.listing: beamer.cmemo
	sed 's/\\mmzSetBeamerOverlays $(SED_MARG)$(SED_MARG)/~\0~/'  `tail -1 $<` > $@
beamer.ccmemo: beamer.mmz
	$(call GET_FILENAME_FROM_MMZ,GetFirst,mmzNewCCMemo,$<,mymemo,$@)
beamer.ccmemo.listing: beamer.ccmemo
	sed 's/overlay=[0-9]*/~\0~/;   s/pauses=[0-9]*/~\0~/;   s/}\\mmzIncludeExtern/}\n\\mmzIncludeExtern/;   s/\\\mmzStepPgfPictureId/\n\0/;   '  `tail -1 $<` > $@

$(eval $(call DTX+ATT,book.tex))
$(eval $(call DTX+ATT,chapters/chapter1.tex))

$(eval $(call DTX+PDF,capture))
$(eval $(call ATT,capture.tex))

$(eval $(call DTX,chained-advice.tex))
$(eval $(call ATT,chained-advice.tex))

$(eval $(call DTX+PDF,clean-house))
$(eval $(call ATT,clean-house.tex))

$(eval $(call DTX+ATT,collargs-expandable-processor.tex))

$(eval $(call DTX+ATT,collargs-makebox.tex))

$(eval $(call DTX+ATT,collargs-minipage.tex))

$(eval $(call DTX+ATT,collargs-nodelimiters.tex))

$(eval $(call DTX+ATT,collargs-processor.tex))

$(eval $(call DTX+ATT,collargs-return-no.tex))

$(eval $(call DTX+ATT,collargs-return-plain.tex))

$(eval $(call DTX+ATT,collargs-transition-comment.tex))

$(eval $(call DTX+ATT,collargs-transition-cs.tex))

$(eval $(call DTX+ATT,collargs-transition-ok.tex))

$(eval $(call DTX+ATT,collargs-verbatim.tex))

$(eval $(call DTX,countdown.sty,2))
$(eval $(call DTX,countdown.tex,2))
$(eval $(call PDF,countdown,2,countdown.sty.c2,cp countdown.sty.c1 countdown.sty;))
$(eval $(call ATT,countdown.tex,1))
$(eval $(call ATT,countdown.sty,1))
$(eval $(call ATT,countdown.sty,2,countdown-integrated-driver.sty))

$(eval $(call DTX+PDF,dirty-house))
$(eval $(call ATT,dirty-house.tex))

$(eval $(call DTX+ATT,disable-auto-cmd.tex))

$(eval $(call DTX+ATT,disable-auto-env.tex))

$(eval $(call DTX+ATT,disable-bad.tex))

$(eval $(call DTX+ATT,disable-good.tex))

$(eval $(call DTX+ATT,disable-nomemoize.tex))

$(eval $(call DTX+ATT,disable-nommz.tex))

$(eval $(call DTX+PDF+ATT,disable))

$(eval $(call DTX+PDF,fontsize,2))
$(eval $(call ATT,fontsize.tex,1))

$(eval $(call DTX+PDF+ATT,label,3))
TARGETS += label.ccmemo.listing
label.ccmemo: label.mmz.c1
	$(call GET_FILENAME_FROM_MMZ,GetFirst,mmzNewCCMemo,$<,mymemo,$@)
label.ccmemo.listing: label.ccmemo
	sed 's/\\quitvmode \\mmzIncludeExtern/\\quitvmode\n\\mmzIncludeExtern/;   s/$(SED_MARG)\\mmzIncludeExtern/{\1}\n\\mmzIncludeExtern/;   s/\\mmzLabel *$(SED_MARG)$(SED_MARG)/~\\mmzLabel{\1}{\2}~ /g;   s/\\\mmzStepPgfPictureId/\n\0/;   ' `tail -1 $<` > $@

$(eval $(call DTX,label+.tex,6))
$(eval $(call PDF,label+,2))
TARGETS += label+.ccmemo.listing
label+.ccmemo: label+.mmz.c1
	$(call GET_FILENAME_FROM_MMZ,GetFirst,mmzNewCCMemo,$<,mymemo,$@)
label+.ccmemo.listing: label+.ccmemo
	sed 's/\\mmzLabel *$(SED_MARG)$(SED_MARG)/~\0~/;   s/$(SED_MARG)\\mmzIncludeExtern/\1 \\mmzIncludeExtern/;   s/\($(SED_MARG_)$(SED_MARG_)$(SED_MARG_)\)\($(SED_MARG_)$(SED_MARG_)$(SED_MARG_)$(SED_MARG_)\)/\1 \2/;'  `tail -1 $<` > $@
$(eval $(call ATT,label+.tex,1))
$(eval $(call ATT,label+.tex,3,label+mmzNoRef.tex))
$(eval $(call ATT,label+.tex,4,label+context.tex))
$(eval $(call ATT,label+.tex,5,label+listii.tex))
$(eval $(call ATT,label+.tex,6,label+auto.tex))

$(eval $(call DTX+PDF+ATT,manual))

$(eval $(call DTX+PDF,meaning-to-context,2))
$(eval $(call ATT,meaning-to-context.tex,1))

$(eval $(call DTX+ATT,memoize-example.cfg))

$(eval $(call DTX+PDF,memoize-internal,2))
$(eval $(call ATT,memoize-internal.tex,1))

$(eval $(call DTX+ATT,memoize-region.cfg))

$(eval $(call DTX+PDF+ATT,mmztikz))

$(eval $(call DTX+PDF,no-linebreaking,2))
$(eval $(call ATT,no-linebreaking.tex,1))

$(eval $(call DTX+PDF+ATT,om-collector-NewDocumentCommand))

$(eval $(call DTX+PDF+ATT,om-collector-newcommand))

$(eval $(call DTX+PDF,overlay,4))
$(eval $(call ATT,overlay.tex,1))
$(eval $(call ATT,overlay.tex,2,overlay-no-padding.tex))
$(eval $(call ATT,overlay.tex,3,overlay-default-padding.tex))
$(eval $(call ATT,overlay.tex,4,overlay-extra-padding.tex))

$(eval $(call DTX+ATT,per-overlay-v1.sty))

$(eval $(call DTX+PDF+ATT,pgfmathparse-embellished))

$(eval $(call DTX+PDF+ATT,pgfmathparse))
TARGETS += pgfmathparse.ccmemo
pgfmathparse.ccmemo: pgfmathparse.mmz
	$(call GET_FILENAME_FROM_MMZ,GetFirst,mmzNewCCMemo,$<,mymemo,$@)

$(eval $(call DTX+ATT,plainTeX.tex))

poormansbox.pdf: poormansbox.sty
$(eval $(call DTX+ATT,poormansbox.sty))
$(eval $(call DTX+PDF+ATT,poormansbox))

$(eval $(call DTX+ATT,poormansbox-memoizable.sty))
# We compile only to test.
$(eval $(call PDF,poormansbox-memoizable))
poormansbox-memoizable.tex: poormansbox.tex
	sed 's/\\usepackage{poormansbox}/\\usepackage{poormansbox-memoizable}/' $< > $@
poormansbox-memoizable.pdf: poormansbox-memoizable.sty
TARGETS += poormansbox-memoizable.cmemo.listing
poormansbox-memoizable.cmemo: poormansbox-memoizable.mmz
	$(call GET_FILENAME_FROM_MMZ,GetLast,mmzNewCMemo,$<,mymemo,$@)
poormansbox-memoizable.cmemo.listing: poormansbox-memoizable.cmemo
	sed 's/]{/]\n              {/;' `tail -1 $<` > $@

$(eval $(call DTX+ATT,poormansbox-driver.sty))
poormansbox-driver.tex.c1 poormansbox-driver.tex.c2: poormansbox.tex
	sed 's/\\usepackage{poormansbox}/\\usepackage{poormansbox-driver}/' $< > $@
$(eval $(call PDF,poormansbox-driver,2,poormansbox-driver.sty))
TARGETS += poormansbox-driver.ccmemo.listing
poormansbox-driver.ccmemo: poormansbox-driver.mmz.c1
	$(call GET_FILENAME_FROM_MMZ,GetSecond,mmzNewCCMemo,$<,mymemo,$@)
poormansbox-driver.ccmemo.listing: poormansbox-driver.ccmemo
	sed 's/\\csuse *{poormansbox@outer}/~\0~/;   s/{\\mmzIncludeExtern.*}}/~\0~/'  `tail -1 $<` > $@

$(eval $(call DTX+PDF,progressbar,2))
$(eval $(call ATT,progressbar.tex,1))

$(eval $(call DTX+PDF,readonly,2))
$(eval $(call ATT,readonly.tex,1))

$(eval $(call DTX+PDF,recompile,3))
$(eval $(call ATT,recompile.tex,1))

$(eval $(call DTX+ATT,record-extern-pages.tex))

$(eval $(call DTX+ATT,record-files.tex))

$(eval $(call DTX+PDF,redefinitions,7))
$(eval $(call ATT,redefinitions.tex,1))

$(eval $(call DTX+PDF,ref,7))
$(eval $(call ATT,ref.tex,3))
$(eval $(call ATT,ref.tex,7,ref-force.tex))
TARGETS += ref.cmemo.listing
ref.cmemo: ref.mmz.c1
	$(call GET_FILENAME_FROM_MMZ,GetFirst,mmzNewCMemo,$<,mymemo,$@)
ref.cmemo.listing: ref.cmemo
	sed 's/\\global.*/~\0~/'  `tail -1 $<` > $@

=== texmf-dist/doc/dvipdfm/Makefile ===
clean:
	rm -f *.dvi *.log sample.pdf *~

=== texmf-dist/doc/latex/euro/Makefile ===
# $Id: Makefile,v 1.6 2005/03/07 14:22:19 m Exp $

NAME=euro
ARCHIVE_NAME=$(NAME).tar.gz
ARCHIVE_CONTENTS=$(NAME).dtx Makefile $(NAME).txt $(NAME).ins $(NAME).pdf
MAKEIDXOPT=
DVIPSOPT= #-Pcmz -Pamz
DEP=$(NAME).sty

all: $(NAME).ps

print: $(NAME).ps
	psbook $(NAME).ps|psnup -2|psselect -e|lpr
	@ echo -n revert paper stack and hit return
	@ read key
	psbook $(NAME).ps|psnup -2|psselect -o -r|lpr

ps: $(NAME).ps

%.ps: %.dvi
	dvips $(DVIPSOPT) $< -o $@

hyper: $(NAME).dtx $(NAME).sty
	pdflatex "\relax\let\makehyperref\active\input $(NAME).dtx"

pdf: $(NAME).pdf

%.pdf: %.dtx
	pdflatex $<

arc: archive

archive: $(NAME).ins $(NAME).pdf
	@ tar -czf $(ARCHIVE_NAME) $(ARCHIVE_CONTENTS)
	@ echo $(ARCHIVE_NAME):
	@ echo ====================
	@ tar -tzf $(ARCHIVE_NAME)

clean: 
	rm -f $(NAME).{log,toc,lot,lof,idx,ilg,ind,aux,blg,bbl,dvi,ins}

distclean: clean
	rm -f $(NAME).{ps,pdf,sty} $(ARCHIVE_NAME)


REFWARN = 'Rerun to get cross-references'
LATEXMAX = 5

%.dvi: %.dtx $(DEP)
	latex $<
	RUNS=$(LATEXMAX); \
	while [ $$RUNS -gt 0 ] ; do \
		if grep $(REFWARN) $*.log > /dev/null; \
		then latex $< ; else break; fi; \
		RUNS=`expr $$RUNS - 1`; \
	done

$(NAME).sty: $(NAME).ins FORCE
	tex $(NAME).ins

$(NAME).ins:
	latex $(NAME).dtx

FORCE:

=== texmf-dist/doc/latex/fancybox/Makefile ===

# `Makefile' for 'fancybox-doc', hv, 2010/05/15

.SUFFIXES : .tex .ltx .dvi .ps .pdf .eps

PACKAGE = fancybox

MAIN = $(PACKAGE)-doc

TDS = ~/PSTricks/PSTricks-TDS

LATEX = pdflatex

ARCHNAME = $(MAIN)-$(shell date +%y%m%d)

ARCHFILES = $(PACKAGE).sty $(PACKAGE).tex $(MAIN).tex README Changes Makefile

all : doc clean 
doc: $(MAIN).tex
	$(LATEX) $<
	$(LATEX) $<
	if ! test -f $(basename $<).glo ; then touch $(basename $<).glo; fi
	if ! test -f $(basename $<).idx ; then touch $(basename $<).idx; fi
	makeindex -t $(basename $<).ilg -s pst-doc.ist -o $(basename $<).ind $(basename $<).idx
	makeindex -s gglo.ist -t $(basename $<).glg -o $(basename $<).gls \
	  $(basename $<).glo
#	bibtex $(basename $<)
	$(LATEX) $<
	$(LATEX) $<

clean : 
	$(RM) $(addprefix $(MAIN), .cb .cb? .log .aux .glg .glo .gls .ilg .idx .ind .tmp .toc .out .blg .bbl )
	$(RM) $(addprefix $(MAIN), .dvi .ps .xcp .ex1)

veryclean : clean
	$(RM) $(addprefix $(MAIN), .pdf .bbl .blg)

arch :
	zip $(ARCHNAME).zip $(ARCHFILES)

tds:
	cp -u Changes     $(TDS)/doc/generic/$(PACKAGE)/
	cp -u README      $(TDS)/doc/generic/$(PACKAGE)/
	cp -u $(MAIN).pdf $(TDS)/doc/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/latex/$(PACKAGE)/
	cp -u $(PACKAGE).sty $(TDS)/tex/latex/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/tex/generic/$(PACKAGE)/
	cp -u $(PACKAGE).tex $(TDS)/tex/generic/$(PACKAGE)/
#
	cp -u Changes        $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro $(TDS)/dvips/$(PACKAGE)/
	cp -u $(PACKAGE).pro ~/Links/dvips-local/
#
	cp -u Changes     $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).tex $(TDS)/source/$(PACKAGE)/
	cp -u $(MAIN).bib $(TDS)/source/$(PACKAGE)/
	cp -u Makefile    $(TDS)/source/$(PACKAGE)/


# EOF

=== texmf-dist/doc/support/texdraw/Makefile ===
# Makefile for texdraw.texi

# $Id: Makefile 2.2 2019/04/18 TeXdraw-v2r3 $

doc = texdraw

pdf $(doc).pdf: $(doc).ps
	ps2pdf $(doc).ps $(doc).pdf

ps $(doc).ps: $(doc).texi Makefile
	env TEXINPUTS=..: texi2dvi --ps $(doc).texi

info $(doc).info: $(doc).texi
	makeinfo $(doc).texi

mostlyclean:
	rm -f $(doc).ps? $(doc).p1?
	rm -f $(doc).cp $(doc).cps $(doc).fn $(doc).fns
	rm -f $(doc).aux $(doc).log $(doc).toc $(doc).dvi

clean:
	rm -f $(doc).?? $(doc).???

=== texmf-dist/doc/support/tikztosvg/Makefile ===
.PHONY: package install

BIN_TARGET ?= /usr/bin/
MAN_TARGET ?= /usr/share/man/man1/

# Packages the application for CTAN
package: tikztosvg.tar.gz

install: man/tikztosvg.1 tikztosvg
	# Install the executable
	install -g 0 -o 0 -m 755 tikztosvg "$(BIN_TARGET)"
	 
	# Install the manpage
	install -g 0 -o 0 -m 644 man/tikztosvg.1 "$(MAN_TARGET)"

man/tikztosvg.1: man/man.adoc
	asciidoctor -b manpage -o $@ $^

tikztosvg.pdf: README.md 
	pandoc -s -o $@ $^

example/%.svg: example/%.tikz
	sh ./tikztosvg -p xfrac -p relsize -o $@ $^
	
	# Try to compress the image with svgo
	svgo --pretty $@ || exit 0

# Packages the application for CTAN
tikztosvg.tar.gz: tikztosvg man/tikztosvg.1 tikztosvg.pdf README.md example/example.tikz example/example.svg CHANGELOG.md LICENSE
	tar -cvO --directory=.. --exclude='.*' --exclude='*.tar.gz' tikztosvg \
		| gzip -c /dev/stdin > tikztosvg.tar.gz

=== texmf-dist/doc/texlive/texlive-en/Makefile ===
# $Id: Makefile 74120 2025-02-18 22:51:42Z karl $
# Makefile for TeX Live documentation.  Public domain.
doc = texlive-en

all: pdf html

# in case we need to test changes against some previous version.
#systex = /usr/local/texlive-rel/texmf-dist/tex//
systex = :
tlpre = # possible prefix to run from pretest, etc.
env = TEXINPUTS=.:../texlive-en:../texlive-common:$(systex); export TEXINPUTS;

pdflatex_opts = --file-line-error
texline = '\nonstopmode\def\Status{1}\input $(doc)'
pdflatex = $(tlpre) pdflatex $(pdflatex_opts) $(texline)

# The story here is that for HTML, we just want <img> tags referring to
# the graphics (in ../texlive-common), without specifying any size,
# since their natural size is ok (enough). But LaTeX's \includegraphics
# requires a size (htlatex runs latex, not pdflatex, so it can't
# determine the size for .png files), and tex4ht passes that warning on,
# which is just an annoyance. We could generate .xbb files, but then
# we'd have to update them every year, which seems like a waste of time
# when we don't want a size in the first place.
# 
texfot_pdf = texfot
texfot_html = texfot --ignore="Cannot determine size of graphic" \
                     --ignore='File.*\.xbb\"'

pdf:
	rm -f *.aux *.toc *.lof *.lot *.xref* *.tmp *.out
	$(env) $(texfot_pdf) $(pdflatex)
	$(env) $(texfot_pdf) $(pdflatex)
	$(env) $(texfot_pdf) $(pdflatex)
	$(env) $(texfot_pdf) $(pdflatex)

# It is best to use the htlatex wrapper since then we can easily specify
# these options; using \Preamble in live4ht.cfg is not equivalent.
# 
# The options here:
# live4ht - reads our live4ht.cfg.
# info - extra debugging info.
# xhtml - required for html5.
# html5 - output viewport decl to help on small screens.
# charset - UTF-8 is more likely to work well than Latin 1.
# fn-in - keep footnotes in the main output file.
# 
# The other argument, where we pass, -cunihtf -utf8, goes along with the
# charset and tells tex4ht to look for Unicode font encodings. See
# https://tug.org/tex4ht.
# 
htopts1 = "live4ht,info,xhtml,html5,charset=utf-8,fn-in"
htopts2 = " -cunihtf -utf8"
run_htlatex = $(env) $(texfot_html) htlatex $(doc) $(htopts1) $(htopts2) </dev/null
html:
	rm -f *.aux *.toc *.lof *.lot *.xref* *.tmp *.out
	$(run_htlatex)
	ls -l texlive-??.html texlive-??.css

# This is the old way, no longer used.
html-separate:
	rm -f *.aux *.toc *.lof *.lot *.xref* *.tmp *.out *.4tc
# this sequence is equivalent to running "ht latex $(doc)".  We do it
# this way so we can \def\Status for the \ifcase in tex-live.sty.
	$(env) latex '\nonstopmode\def\Status{2}\input $(doc)'
	$(env) latex '\nonstopmode\def\Status{2}\input $(doc)'
	$(env) latex '\nonstopmode\def\Status{2}\input $(doc)'
	$(env) latex '\nonstopmode\def\Status{2}\input $(doc)'
	$(env) tex4ht $(doc)
	$(env) t4ht $(doc)

# just run tex once without cleaning temp files.
pdf1 p:
	$(env) $(texfot_pdf) $(pdflatex)

# ditto for html.
html1 h:
	$(run_htlatex)

clean:
	rm -f *.aux *.log *.blg *.toc *.out *.lot tex4ht.ps *.4*
	rm -f *.xref* *.lg *.idv *.out *.otc *.tmp tmp.*
	rm -f $(doc).dvi $(doc).ps

realclean: clean
	rm -f $(doc).pdf
	rm -f *.html *.htm $(doc).css *.gif *.jpg

spell:
	cat texlive-??.tex \
	| aspell list --mode=tex --add-extra-dicts=`pwd`/.dict.pws  \
	| sort -f -u

svr:
	svn revert texlive-??.css texlive-??.html texlive-??.pdf
	svn status

=== texmf-dist/doc/xelatex/unisugar/Makefile ===
PACKAGE=unisugar
SOURCES=${PACKAGE}.tex ${PACKAGE}.sty *.png Makefile README

${PACKAGE}.pdf: ${SOURCES}
	yes q | xelatex ${PACKAGE}.tex >/dev/null
	yes q | xelatex ${PACKAGE}.tex >/dev/null
	yes q | xelatex ${PACKAGE}.tex >/dev/null

wrap: ${PACKAGE}.zip 

${PACKAGE}.zip: ${PACKAGE}.pdf $(SOURCES) *.png
	zip $@ $?

clean:
	rm -f *.aux *.toc *~ *.log *.out *.pdf

=== texmf-dist/source/generic/memoize/Makefile ===
# Prepare the CTAN submission for all three packages.

PACKAGES = memoize advice collargs

all: ctan/memoize.zip
	$(MAKE) -f Makefile.advice ctan/advice.zip
	$(MAKE) -f Makefile.collargs ctan/collargs.zip
	@echo "Don't forget to run the tests!"

# Prepare the CTAN submission.

PACKAGE = memoize
VERSION = 1.4.1
YEAR = 2024
MONTH = 12
DAY = 02

FORMAT = generic

COMMON = memoize nomemoize memoizable
PLAIN = memoize-extract-one.tex
GENERIC = memoizable.code.tex
LATEX = memoize-biblatex.code.tex memoize-beamer.code.tex
SOURCE = memoize.edtx memoize.ins

SCRIPTS := memoize-extract memoize-clean
man-src := $(SCRIPTS:%=doc/%.1.md)
MAN := $(SCRIPTS:%=%.1) $(SCRIPTS:%=%.pl.1) $(SCRIPTS:%=%.py.1)
MAN := $(MAN:%=doc/%)
SCRIPTS := $(SCRIPTS:%=%.pl) $(SCRIPTS:%=%.py)

%.pl.1: %.1
	echo .so man1/$*.1 > $@     # link to .1 man page
%.py.1: %.1
	echo .so man1/$*.1 > $@     # link to .1 man page

README = doc/README.memoize.md
INSTALL = INSTALL.md
CHANGELOG = CHANGELOG.md
MAKEFILE = Makefile Makefile.package Makefile.runtimes Makefile.advice Makefile.collargs
LICENCE = LICENCE

PACKAGES.edtx = $(PACKAGES:%=%.edtx)
PACKAGES.dtx = $(PACKAGES:%=%.dtx)
PACKAGES.ins = $(PACKAGES:%=%.ins)

codedoc-source = memoize-code.tex \
                 memoize-code.sty memoize-doc-common.sty \
		 memoize-code.latexmkrc

manual-source = memoize-doc.tex \
                memoize-doc.sty memoize-doc-common.sty yadoc.sty \
		memoize-doc.mst memoize-doc.latexmkrc

PDF = memoize-doc.pdf memoize-code.pdf

codedoc-source := $(codedoc-source:%=doc/%)
manual-source := $(manual-source:%=doc/%)
pdf := $(PDF:%=doc/%)
DOC = $(codedoc-source) $(manual-source) $(pdf) $(man-src) \
      doc/examples-src.zip doc/examples.zip

doc/examples-src.zip: $(examples-src)
	$(MAKE) -C doc/examples examples-src.zip

doc/examples.zip: $(examples-src)
	$(MAKE) -C doc/examples examples.zip

ctan/$(PACKAGE).zip:
	$(TDS-BEGIN)
	$(TDS-END)
	$(CTAN-BEGIN)
	$(CTAN-END)

%.py.dtx: %.py
	edtx2dtx -s -c '#' -B '^__version__' -E '^# Local Variables:' $< \
		| sed -e '/^% Local Variables:/Q' > $@

%.pl.dtx: %.pl
	edtx2dtx -s -c '#' -B '^my \$$PROG' -E '^# Local Variables:' $< \
		| sed -e '/^% Local Variables:/Q' > $@

doc/memoize-code.pdf: $(codedoc-source) \
                      $(PACKAGES.dtx) $(PACKAGES.ins) $(SCRIPTS:%=%.dtx)

doc/memoize-doc.pdf: $(manual-source) $(PACKAGES.edtx) doc/examples.zip

%.pdf: %.tex
	latexmk -r $*.latexmkrc $(LATEXMK) $<



# Maintenance

test.tex = $(wildcard test*.tex)

.PHONY: all force clean versions-show

.PRECIOUS: %.1

clean: # clean this directory
	memoize-clean.py -a $(test.tex:%.tex=-p %.) $(test.tex:%.tex=-p %.memo.dir/)
	latexmk -C -f $(test.tex) _region_

version:
	$(MAKE) -f Makefile.collargs version
	$(MAKE) -f Makefile.advice version
	$(call EDIT-VERSION-LATEX,memoize.edtx,memoize)
	$(call EDIT-VERSION-LATEX,memoize.edtx,nomemoize)
	$(call EDIT-VERSION-LATEX,memoize.edtx,memoizable)
	$(call EDIT-VERSION-CONTEXT,memoize.edtx)
	$(call EDIT-VERSION-PLAIN,memoize.edtx,memoize)
	$(call EDIT-VERSION-PLAIN,memoize.edtx,nomemoize)
	$(call EDIT-VERSION-PLAIN,memoize.edtx,memoizable)
	$(call EDIT-VERSION-PERL,memoize-extract.pl)
	$(call EDIT-VERSION-PERL,memoize-clean.pl)
	$(call EDIT-VERSION-PYTHON,memoize-extract.py)
	$(call EDIT-VERSION-PYTHON,memoize-clean.py)
	$(call EDIT-VERSION-MAN,doc/memoize-extract.1.md)
	$(call EDIT-VERSION-MAN,doc/memoize-clean.1.md)
	$(call EDIT-DATE-CHANGELOG,CHANGELOG.md)
	$(call EDIT-VERSION-LATEX,doc/memoize-doc.tex,memoize)
	$(call EDIT-VERSION-LATEX,doc/memoize-code.tex,memoize)
define COLOR_VERSION
grep -E --color '[0-9]{4}[/-][0-9]{1,2}[/-][0-9]{1,2}|v?[0-9]\.[0-9]\.[0-9]([-a-z]*)|(January|February|March|April|May|June|July|August|September|October|November|December) [0-9]+, [0-9]{4}'
endef

versions-show:
	@grep -E '\\ProvidesPackage|^%<context>%D\s*(version|date)=' $(PACKAGES.edtx) $(pdf:%.pdf=%.tex) | ${COLOR_VERSION}
	@grep __version__ *.py | ${COLOR_VERSION}
	@grep VERSION *.pl | ${COLOR_VERSION}
	@grep -E '^(footer|date):' doc/memoize-*.md | ${COLOR_VERSION}
	@${COLOR_VERSION} CHANGELOG.md doc/CHANGELOG.advice.md doc/CHANGELOG.collargs.md

include Makefile.package
include Makefile.runtimes

VERSION-MAN = of Memoize v$(VERSION)

.PHONY: all-runtimes link-all-runtimes install-all-runtimes unlink-all-runtimes test examples

all-runtimes: runtimes
	$(MAKE) -f Makefile.advice runtimes
	$(MAKE) -f Makefile.collargs runtimes

link-all-runtimes: link-runtimes
	$(MAKE) -f Makefile.advice link-runtimes
	$(MAKE) -f Makefile.collargs link-runtimes

install-all-runtimes: install-runtimes
	$(MAKE) -f Makefile.advice install-runtimes
	$(MAKE) -f Makefile.collargs install-runtimes

uninstall-all-runtimes: uninstall-runtimes
	$(MAKE) -f Makefile.advice uninstall-runtimes
	$(MAKE) -f Makefile.collargs uninstall-runtimes

test:
	cd testing && ./MakeTests.py

=== texmf-dist/source/latex/beamerswitch/Makefile ===
NAME  = beamerswitch
SHELL = bash
PWD   = $(shell pwd)
TEMP := $(shell mktemp -d -t tmp.XXXXXXXXXX)
TDIR  = $(TEMP)/$(NAME)
VERS  = $(shell ltxfileinfo -v $(NAME).dtx)
LOCAL = $(shell kpsewhich --var-value TEXMFLOCAL)
UTREE = $(shell kpsewhich --var-value TEXMFHOME)

.PHONY: clean distclean inst install uninst uninstall zip ctan

all:	$(NAME).pdf $(NAME)-example.pdf clean
	@exit 0
$(NAME).cls $(NAME)-example.tex: $(NAME).dtx
	tex -interaction=batchmode $(NAME).dtx >/dev/null
$(NAME).pdf: $(NAME).dtx
	lualatex -shell-escape -recorder -interaction=batchmode $(NAME).dtx >/dev/null
	if [ -f $(NAME).glo ]; then makeindex -q -s gglo.ist -o $(NAME).gls $(NAME).glo; fi
	latexmk -silent -pdflua -shell-escape -interaction=batchmode $(NAME).dtx >/dev/null
$(NAME)-example.pdf $(NAME)-example-trans.pdf $(NAME)-example-handout.pdf $(NAME)-example-article.pdf: $(NAME).cls $(NAME)-example.tex
	latexmk -silent -pdflua -shell-escape -interaction=batchmode $(NAME)-example.tex >/dev/null
clean:
	rm -f $(NAME){,-example,-example-article,-example-handout,-example-trans}.{aux,bbl,bcf,blg,doc,fdb_latexmk,fls,glo,gls,hd,idx,ilg,ind,listing,log,nav,out,run.xml,snm,synctex.gz,tcbtemp,toc,vrb}
	rm -rf _minted-$(NAME)
distclean: clean
	rm -f $(NAME).{pdf,ins,cls} $(NAME)-example.{tex,pdf} $(NAME)-example-{article,handout,trans}.pdf
inst: all
	mkdir -p $(UTREE)/{tex,source,doc}/latex/$(NAME)
	cp $(NAME).dtx $(NAME).ins $(UTREE)/source/latex/$(NAME)
	cp $(NAME).cls $(UTREE)/tex/latex/$(NAME)
	cp $(NAME).pdf $(NAME)-example.{tex,pdf} $(NAME)-example-trans.pdf $(NAME)-example-handout.pdf $(NAME)-example-article.pdf README.md $(UTREE)/doc/latex/$(NAME)
	mktexlsr
uninst:
	rm -r $(UTREE)/{tex,source,doc}/latex/$(NAME)
	mktexlsr
install: all
	sudo mkdir -p $(LOCAL)/{tex,source,doc}/latex/$(NAME)
	sudo cp $(NAME).dtx $(NAME).ins $(LOCAL)/source/latex/$(NAME)
	sudo cp $(NAME).cls $(LOCAL)/tex/latex/$(NAME)
	sudo cp $(NAME).pdf $(NAME)-example.pdf $(NAME)-example-trans.pdf $(NAME)-example-handout.pdf $(NAME)-example-article.pdf README.md $(LOCAL)/doc/latex/$(NAME)
	mktexlsr
uninstall:
	sudo rm -r $(LOCAL)/{tex,source,doc}/latex/$(NAME)
	mktexlsr
zip: all
	mkdir $(TDIR)
	cp $(NAME).{pdf,dtx} $(NAME)-example.{tex,pdf} $(NAME)-example-trans.pdf $(NAME)-example-handout.pdf $(NAME)-example-article.pdf $(NAME).cls README.md Makefile $(TDIR)
	cd $(TEMP); zip -Drq $(PWD)/$(NAME)-$(VERS).zip $(NAME)
ctan: all
	mkdir $(TDIR)
	cp $(NAME).{pdf,dtx} $(NAME)-example.pdf $(NAME)-example-trans.pdf $(NAME)-example-handout.pdf $(NAME)-example-article.pdf README.md Makefile $(TDIR)
	cd $(TEMP); zip -Drq $(PWD)/$(NAME)-$(VERS).zip $(NAME)

=== texmf-dist/source/latex/euenc/Makefile ===
# Makefile for euenc

NAME = euenc
DOC = $(NAME).pdf
DTX = $(NAME).dtx

# Files grouped by generation mode
SCRIPTS = sed-eu1lm.sed  sed-eu2lm.sed  convert-lmfd.sh
FDFILES = eu1lmdh.fd eu1lmr.fd eu1lmss.fd eu1lmssq.fd eu1lmtt.fd eu1lmvtt.fd\
eu2lmdh.fd eu2lmr.fd eu2lmss.fd eu2lmssq.fd eu2lmtt.fd eu2lmvtt.fd eu1enc.def eu2enc.def
COMPILED = $(DOC)
UNPACKED = test-euxlm.ltx
GENERATED = $(COMPILED) $(UNPACKED) $(FDFILES) $(SCRIPTS) euenc-style.sty
SOURCE = $(DTX) README Makefile

# Files grouped by installation location
RUNFILES = $(FDFILES)
DOCFILES = $(DOC) README test-euxlm.ltx
SRCFILES = $(DTX) Makefile

# The following definitions should be equivalent
# ALL_FILES = $(RUNFILES) $(DOCFILES) $(SRCFILES)
ALL_FILES = $(GENERATED) $(SOURCE)

# Installation locations
FORMAT = latex
RUNDIR = $(TEXMFROOT)/tex/$(FORMAT)/$(NAME)
DOCDIR = $(TEXMFROOT)/doc/$(FORMAT)/$(NAME)
SRCDIR = $(TEXMFROOT)/source/$(FORMAT)/$(NAME)
TEXMFROOT = ./texmf

CTAN_ZIP = $(NAME).zip
TDS_ZIP = $(NAME).tds.zip
ZIPS = $(CTAN_ZIP) $(TDS_ZIP)

DO_PDFLATEX = pdflatex --interaction=batchmode $< >/dev/null
DO_SED = sh convert-lmfd.sh

all: $(GENERATED)
doc: $(COMPILED)
unpack: $(UNPACKED)
ctan: $(CTAN_ZIP)
tds: $(TDS_ZIP)
world: all ctan

$(COMPILED): $(DTX)
	$(DO_PDFLATEX)
	$(DO_PDFLATEX)
	$(DO_SED)

$(UNPACKED): $(COMPILED)

$(FDFILES): $(COMPILED)

$(CTAN_ZIP): $(SOURCE) $(COMPILED) $(TDS_ZIP)
	@echo "Making $@ for CTAN upload."
	@$(RM) -- $@
	@zip -9 $@ $^ >/dev/null

define run-install
@mkdir -p $(RUNDIR) && cp $(RUNFILES) $(RUNDIR)
@mkdir -p $(DOCDIR) && cp $(DOCFILES) $(DOCDIR)
@mkdir -p $(SRCDIR) && cp $(SRCFILES) $(SRCDIR)
endef

$(TDS_ZIP): TEXMFROOT=./tmp-texmf
$(TDS_ZIP): $(ALL_FILES)
	@echo "Making TDS-ready archive $@."
	@$(RM) -- $@
	$(run-install)
	@cd $(TEXMFROOT) && zip -9 ../$@ -r . >/dev/null
	@$(RM) -r -- $(TEXMFROOT)

.PHONY: install manifest clean mrproper

install: $(ALL_FILES)
	@echo "Installing in '$(TEXMFROOT)'."
	$(run-install)

manifest: 
	@echo "Source files:"
	@for f in $(SOURCE); do echo $$f; done
	@echo ""
	@echo "Derived files:"
	@for f in $(GENERATED); do echo $$f; done


clean:
	@$(RM) -- *.log *.aux *.toc *.idx *.ind *.ilg *.out *.glo *.ins
	@$(RM) -- $(GENERATED) $(ZIPS)

=== texmf-dist/source/latex/listings/Makefile ===
### Makefile ---
#
# This file generates files required to use the listings package.
#
# Time-stamp: <2024-02-15 20:02:38 ax006ho>
#
# (c) 2007 Brooks Moses
# (c) 2013- Jobst Hoffmann
#
# This file is distributed under the terms of the LaTeX Project Public
# License from CTAN archives in directory  macros/latex/base/lppl.txt.
# Either version 1.3c or, at your option, any later version.

# remember:
# $<: first element of list of dependees
# $^: list of (all) dependees
# $@: target

# formatting tools
LATEX = pdflatex
MAKEINDEX = makeindex
TEX = tex
# tarring options
ifneq "$(wildcard listings.version)" ""
include listings.version        # version and date of the package
endif
TAR_SRC = $(PACKAGE)-$(VERSION)_source.tgz
EXsvn = --exclude .svn --exclude auto --exclude contrib --exclude requests \
	--exclude support --exclude testing \
	--exclude *.tgz --exclude *.txt

DISTRIBUTION_FILES = ../$(PACKAGE)/$(PACKAGE).pdf \
	../$(PACKAGE)/$(PACKAGE)-devel.pdf \
	../$(PACKAGE)/$(PACKAGE).dtx \
	../$(PACKAGE)/$(PACKAGE).ins \
	../$(PACKAGE)/README \
	../$(PACKAGE)/Makefile \
	../$(PACKAGE)/lstdrvrs.dtx \
	../$(PACKAGE)/lstdrvrs.pdf
PACKAGE_FILES = $(subst ../$(PACKAGE)/,,$(DISTRIBUTION_FILES))
STY_FILES = listings.cfg listings.sty lstmisc.sty \
	lstlang0.sty lstlang1.sty lstlang2.sty

.SUFFIXES:                              # Delete the default suffixes
.SUFFIXES: .dtx .ins .pdf .sty          # Define our own suffix list

.PHONY: listings pdf pdf-devel tests all

listings: listings.sty

pdf: listings.pdf lstdrvrs.pdf

pdf-devel: listings-devel.pdf

all: listings pdf pdf-devel


listings.sty: listings.ins listings.dtx lstdrvrs.dtx
	$(TEX) $<

listings.pdf: listings.sty
	echo "\PassOptionsToClass{a4paper}{ltxdoc}" > ltxdoc.cfg
	$(LATEX) ${<:.sty=.dtx}
	$(MAKEINDEX) -s gind.ist ${@:.pdf=}
	$(LATEX) ${<:.sty=.dtx}
	$(LATEX) ${<:.sty=.dtx}
	rm -f ltxdoc.cfg

listings-devel.pdf: listings.sty
	echo "\PassOptionsToClass{a4paper}{ltxdoc}" > ltxdoc.cfg
	echo "\AtBeginDocument{\AlsoImplementation}" >> ltxdoc.cfg
	$(LATEX) -jobname=${@:.pdf=} ${<:.sty=.dtx}
	$(MAKEINDEX) -s gind.ist ${@:.pdf=}
	$(LATEX) -jobname=${@:.pdf=} ${<:.sty=.dtx}
	$(LATEX) -jobname=${@:.pdf=} ${<:.sty=.dtx}
	rm -f ltxdoc.cfg

lstdrvrs.pdf: lstdrvrs.dtx
	echo "\PassOptionsToClass{a4paper}{ltxdoc}" > ltxdoc.cfg
	$(LATEX) ${<:.sty=.dtx}
	$(MAKEINDEX) -s gind.ist lstdrvrs
	$(LATEX) ${<:.sty=.dtx}
	$(LATEX) ${<:.sty=.dtx}
	rm -f ltxdoc.cfg

## Testing targets
acm-tests:
	cd testing; make acm

algol-tests:
	cd testing; make algol

bash-tests:
	cd testing; make bash

c++11-tests:
	cd testing; make c++11

cobol-tests:
	cd testing; make cobol

fortran-tests:
	cd testing; make fortran

elisp-tests:
	cd testing; make elisp

gap-tests:
	cd testing; make gap

go-tests:
	cd testing; make go

hansl-tests:
	cd testing; make hansl

llvm-tests:
	cd testing; make llvm

lua-tests:
	cd testing; make lua

mathematica-tests:
	cd testing; make mathematica

python-tests:
	cd testing; make python

scala-tests:
	cd testing; make scala

swift-tests:
	cd testing; make swift

vbscript-tests:
	cd testing; make vbscript

xml-tests:
	cd testing; make xml

tests:
	cd testing; make all

## Clean targets
clean:
	-rm -f  *~ *.aux *.lof *.log *.lot *.tmp *.toc
	-rm -f *.idx *.ind *.glg *.glo *.gls *.ilg *.out
	-rm -f *.bbl *.blg *.brf

clean-results:
	-rm -f *.cfg *.pdf *.prf *.sty

realclean:  clean clean-results

### create packed files
tar-src:
	@$(MAKE) realclean; \
	sed -i -e "s+fileversion{[a-z0-9\.\-]*}+fileversion{$(VERSION)}+g" \
	    -e "s+filedate{[0-9/]*}+filedate{$(DATE)}+g" \
	    -e "s+date{[0-9/]*\\\\enspace+date{$(DATE)\\\\enspace+g" \
	    -e "s+Version [a-z0-9\.\-]*\\\\+Version $(VERSION)\\\\+g" \
		listings.dtx; \
	sed -i -e "s+date{[0-9/]*\\\\enspace+date{$(DATE)\\\\enspace+g" \
	    -e "s+Version [a-z0-9\.\-]*\\\\+Version $(VERSION)\\\\+g" \
	    -e "s+\[[0-9/]* [a-z0-9\.\-]* listings+[$(DATE) $(VERSION) listings+g" \
		lstdrvrs.dtx; \
	cd ..; tar $(EXsvn) -czvf $(PACKAGE)/$(TAR_SRC) $(PACKAGE)

tar-dist: $(PACKAGE_FILES)
	@$(MAKE) realclean; \
	sed -i -e "s+fileversion{[a-z0-9\.\-]*}+fileversion{$(VERSION)}+g" \
	    -e "s+filedate{[0-9/]*}+filedate{$(DATE)}+g" \
	    -e "s+date{[0-9/]*\\\\enspace+date{$(DATE)\\\\enspace+g" \
	    -e "s+Version [a-z0-9\.\-]*\\\\+Version $(VERSION)\\\\+g" \
		listings.dtx; \
	sed -i -e "s+date{[0-9/]*\\\\enspace+date{$(DATE)\\\\enspace+g" \
	    -e "s+Version [a-z0-9\.\-]*\\\\+Version $(VERSION)\\\\+g" \
	    -e "s+\[[0-9/]* [a-z0-9\.\-]* listings+[$(DATE) $(VERSION) listings+g" \
		lstdrvrs.dtx; \
	$(MAKE) listings.pdf; \
	$(MAKE) listings-devel.pdf; \
	$(MAKE) lstdrvrs.pdf; \
	tar cfvz $(PACKAGE)-$(VERSION).tgz $(DISTRIBUTION_FILES);

tagged-release:
	sed -n -e "/Version $(VERSION)/,$$$$w announcement_text.log" \
	    announcement_text.txt
	svn copy --file ./announcement_text.log \
		svn+ssh://j_hoffmann@svn.gnu.org.ua/listings/trunk \
		svn+ssh://j_hoffmann@svn.gnu.org.ua/listings/tags/$(VERSION)
	rm announcement_text.log


## Documentation target
help::
	$(info Usage:)
	$(info )
	$(info make [all]	generates listings.sty and [all] the .pdf versions)
	$(info $(empty)		(user/developer) of the documentation)
	$(info )
	$(info make <file name>)
	$(info $(empty)		creates the corresponding file denoted by <file name>)
	$(info )
	$(info make help	shows this help)
	$(info )
	$(info make tests	performs a little test suite)
	$(info )
	$(info make clean	removes all intermediate files created by a LaTeX run)
	$(info )
	$(info make clean-results)
	$(info $(empty)		removes .cfg, .sty, and .pdf files)
	$(info )
	$(info make realclean)
	$(info $(empty)		performs clean and clean-results)
	$(info )
	$(info make tar-src)
	$(info $(empty)		generates a tarred version of the current directory)
	$(info )
	$(info make tar-dist)
	$(info $(empty)		generates a distributable version of the listings)
	$(info $(empty)		package)
	$(info )
	$(info make tagged-release)
	$(info $(empty)		creates a new tagged version of the package based on)
	$(info $(empty)		the contents of listings.version and announcement_text.txt)
	@echo ""					# prevents message "nothing to do ..."

### Makefile ends here ---

=== debian/changelog ===
texlive-base (2025.20250927-4) unstable; urgency=medium

  * Remove broken link /usr/share/texmf/web2c/texmfcnf.lua.

 -- Hilmar Preuße <hille42@debian.org>  Mon, 27 Oct 2025 14:31:24 +0100

texlive-base (2025.20250927-3) unstable; urgency=medium

  * The depend introduced in last upload must be versioned.
    (Closes: #1116661)

 -- Hilmar Preuße <hille42@debian.org>  Tue, 30 Sep 2025 00:31:50 +0200

texlive-base (2025.20250927-2) unstable; urgency=medium

  * Some files to build luatex based format files are in texlive-luatex.
    Add this package to Depends in texlive-latex-base for now
    (Closes: #1116506).

 -- Hilmar Preuße <hille42@debian.org>  Mon, 29 Sep 2025 07:55:56 +0200

texlive-base (2025.20250927-1) unstable; urgency=medium

  * New upstream snapshot, refresh / disable patches.
  * Remove link to jquery.js and Dep on libjs-jquery (Closes: #1114545).

 -- Hilmar Preuße <hille42@debian.org>  Sat, 27 Sep 2025 22:58:17 +0200

=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>, Hilmar Preusse <hille42@web.de>, Hilmar Preuße <hille42@debian.org>
Build-Depends: debhelper-compat (= 13), dh-strip-nondeterminism
Build-Depends-Indep: sharutils, tex-common (>= 6.14), findutils (>=4.2.0)
Standards-Version: 4.5.1
Homepage: http://www.tug.org/texlive/
Vcs-Git: https://github.com/debian-tex/texlive-nonbin.git [texlive-base]
Vcs-Browser: https://github.com/debian-tex/texlive-nonbin/tree/master/texlive-base

Package: texlive-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libpaper-utils, sensible-utils, tex-common (>= 6.14), texlive-binaries (>= 2025.20250727), ucf, xdg-utils
Conflicts: tex4ht (<< 20160814), texlive (<< 2025.20250727), texlive-base (<< 2025.20250727), texlive-bibtex-extra (<< 2025.20250727), texlive-binaries (<< 2025.20250727), texlive-extra-utils (<< 2025.20250727), texlive-font-utils (<< 2025.20250727), texlive-fonts-extra (<< 2025.20250727), texlive-fonts-extra-doc (<< 2025.20250727), texlive-fonts-extra-links (<< 2025.20250727), texlive-fonts-recommended (<< 2025.20250727), texlive-fonts-recommended-doc (<< 2025.20250727), texlive-formats-extra (<< 2025.20250727), texlive-full (<< 2025.20250727), texlive-games (<< 2025.20250727), texlive-humanities (<< 2025.20250727), texlive-humanities-doc (<< 2025.20250727), texlive-lang-all (<< 2025.20250727), texlive-lang-arabic (<< 2025.20250727), texlive-lang-chinese (<< 2025.20250727), texlive-lang-cjk (<< 2025.20250727), texlive-lang-cyrillic (<< 2025.20250727), texlive-lang-czechslovak (<< 2025.20250727), texlive-lang-english (<< 2025.20250727), texlive-lang-european (<< 2025.20250727), texlive-lang-french (<< 2025.20250727), texlive-lang-german (<< 2025.20250727), texlive-lang-greek (<< 2025.20250727), texlive-lang-italian (<< 2025.20250727), texlive-lang-japanese (<< 2025.20250727), texlive-lang-korean (<< 2025.20250727), texlive-lang-other (<< 2025.20250727), texlive-lang-polish (<< 2025.20250727), texlive-lang-portuguese (<< 2025.20250727), texlive-lang-spanish (<< 2025.20250727), texlive-latex-base (<< 2025.20250727), texlive-latex-base-doc (<< 2025.20250727), texlive-latex-extra (<< 2025.20250727), texlive-latex-extra-doc (<< 2025.20250727), texlive-latex-recommended (<< 2025.20250727), texlive-latex-recommended-doc (<< 2025.20250727), texlive-luatex (<< 2025.20250727), texlive-metapost (<< 2025.20250727), texlive-metapost-doc (<< 2025.20250727), texlive-music (<< 2025.20250727), texlive-pictures (<< 2025.20250727), texlive-pictures-doc (<< 2025.20250727), texlive-plain-generic (<< 2025.20250727), texlive-pstricks (<< 2025.20250727), texlive-pstricks-doc (<< 2025.20250727), texlive-publishers (<< 2025.20250727), texlive-publishers-doc (<< 2025.20250727), texlive-science (<< 2025.20250727), texlive-science-doc (<< 2025.20250727), texlive-xetex (<< 2025.20250727)
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: ghostscript, gv | postscript-viewer, perl-tk, xpdf | pdf-viewer, xzdec
Replaces: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-extra-utils (<< 2024.20240829), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-plain-generic (<< 2020)
Breaks: texlive-common (<< 2013), texlive-extra-utils (<< 2019.20190626), texlive-extra-utils (<< 2019.20191208), texlive-extra-utils (<< 2020.20200329-2), texlive-extra-utils (<< 2024.20240829), texlive-fonts-recommended (<< 2019.20200213), texlive-fonts-recommended-doc (<< 2019.20200213), texlive-lang-cyrillic (<< 2019.20190506), texlive-lang-english (<< 2022.20220923), texlive-lang-european (<< 2019.20190506), texlive-lang-other (<< 2019.20190506), texlive-lang-spanish (<< 2019.20190506), texlive-latex-extra (<< 2019.20190701), texlive-latex-extra-doc (<< 2019.20190701), texlive-math-extra (<< 2017), texlive-plain-generic (<< 2020)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX 
 macros, Computer Modern fonts, and configuration for common drivers; no 
 LaTeX.
 .
 This package includes the following CTAN packages:
 .
 amsfonts -- TeX fonts from the American Mathematical Society
 .
 bibtex -- Process bibliographies (bib files) for LaTeX or other formats
 .
 cm -- Computer Modern fonts
 .
 colorprofiles -- Collection of free ICC profiles
 .
 dvipdfmx -- An extended version of dvipdfm
 .
 dvips -- A DVI to PostScript driver
 .
 ec -- Computer modern fonts in T1 and TS1 encodings
 .
 enctex -- A TeX extension that translates input on its way into TeX
 .
 etex -- An extended version of TeX, from the NTS project
 .
 etex-pkg -- E-TeX support package
 .
 extractbb -- A reimplementation of extractbb, written in Lua
 .
 glyphlist -- Adobe Glyph List and TeX extensions
 .
 graphics-def -- Colour and graphics option files
 .
 hyph-utf8 -- Hyphenation patterns expressed in UTF-8
 .
 hyphen-base -- core hyphenation support files
 .
 hyphenex -- US English hyphenation exceptions file
 .
 ifplatform -- Conditionals to test which platform is being used
 .
 iftex -- Am I running under pdfTeX, XeTeX or LuaTeX?
 .
 knuth-lib -- Core TeX and Metafont sources from Knuth
 .
 knuth-local -- Knuth's local information
 .
 kpathsea -- Path searching library for TeX-related files
 .
 lua-alt-getopt -- Process application arguments the same way as getopt_long
 .
 luahbtex -- LuaTeX with HarfBuzz library for glyph shaping
 .
 luatex -- The LuaTeX engine
 .
 makeindex -- Makeindex development sources
 .
 metafont -- A system for specifying fonts
 .
 mflogo -- LaTeX support for Metafont logo fonts
 .
 mfware -- Supporting tools for use with Metafont
 .
 modes -- A collection of Metafont mode_def's
 .
 pdftex -- A TeX extension for direct creation of PDF
 .
 plain -- The Plain TeX format
 .
 tex -- A sophisticated typesetting engine
 .
 tex-ini-files -- Model TeX format creation files
 .
 texlive-common -- TeX Live documentation (common elements)
 .
 texlive-en -- TeX Live manual (English)
 .
 texlive-msg-translations -- translations of the TeX Live installer and TeX
 Live Manager
 .
 texlive-scripts -- TeX Live infrastructure programs
 .
 texlive.infra -- basic TeX Live infrastructure
 .
 unicode-data -- Unicode data and loaders for TeX
 .
 xdvi -- A DVI previewer for the X Window System
 .
 texdoc -- Documentation access for TeX Live
 .
 texdoctk -- Easy access to package documentation

Package: texlive-latex-base
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, fonts-lmodern, texlive-base (>= 2022.20220405), texlive-base (>= 2025.20250727), texlive-binaries (>= 2025.20250727), texlive-luatex (>= 2025.20250927)
Suggests: texlive-latex-base-doc, wp2latex
Replaces: texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122), texlive-latex-recommended (<< 2024.20250309)
Breaks: latexml (<= 0.8.6-4), texlive-base (<< 2022.20220405), texlive-formats-extra (<< 2020.20201129), texlive-lang-japanese (<= 2022.20221123-1), texlive-latex-extra (<< 2019.20191203), texlive-latex-extra (<< 2022.20220923), texlive-latex-recommended (<< 2019.20191208), texlive-latex-recommended (<< 2019.20200205), texlive-latex-recommended (<< 2019.20200225), texlive-latex-recommended (<< 2020.20201203), texlive-latex-recommended (<< 2022.20230122), texlive-latex-recommended (<< 2024.20250309)
Description: TeX Live: LaTeX fundamental packages
 These packages are either mandated by the core LaTeX team, or very widely 
 used and strongly recommended in practice.
 .
 This package includes the following CTAN packages:
 .
 ae -- Virtual fonts for T1 encoded CMR-fonts
 .
 amscls -- AMS document classes for LaTeX
 .
 amsmath -- AMS mathematical facilities for LaTeX
 .
 atbegshi -- Execute stuff at \shipout time
 .
 atveryend -- Hooks at the very end of a document
 .
 auxhook -- Hooks for auxiliary files
 .
 babel -- Multilingual support for LaTeX, LuaLaTeX, XeLaTeX, and Plain TeX
 .
 babel-english -- Babel support for English
 .
 babelbib -- Multilingual bibliographies
 .
 bigintcalc -- Integer calculations on very large numbers
 .
 bitset -- Handle bit-vector datatype
 .
 bookmark -- A new bookmark (outline) organization for hyperref
 .
 carlisle -- David Carlisle's small packages
 .
 colortbl -- Add colour to LaTeX tables
 .
 epstopdf-pkg -- Call epstopdf "on the fly"
 .
 etexcmds -- Avoid name clashes with e-TeX commands
 .
 etoolbox -- e-TeX tools for LaTeX
 .
 fancyhdr -- Extensive control of page headers and footers in LaTeX2e
 .
 firstaid -- First aid for external LaTeX files and packages that need
 updating
 .
 fix2col -- Fix miscellaneous two column mode features
 .
 geometry -- Flexible and complete interface to document dimensions
 .
 gettitlestring -- Clean up title references
 .
 graphics -- The LaTeX standard graphics bundle
 .
 graphics-cfg -- Sample configuration files for LaTeX color and graphics
 .
 grfext -- Manipulate the graphics package's list of extensions
 .
 hopatch -- Load patches for packages
 .
 hycolor -- Implements colour for packages hyperref and bookmark
 .
 hypcap -- Adjusting the anchors of captions
 .
 hyperref -- Extensive support for hypertext in LaTeX
 .
 intcalc -- Expandable arithmetic operations with integers
 .
 kvdefinekeys -- Define keys for use in the kvsetkeys package
 .
 kvoptions -- Key value format for package options
 .
 kvsetkeys -- Key value parser with default handler support
 .
 l3backend -- LaTeX3 backend drivers
 .
 l3kernel -- LaTeX3 programming conventions
 .
 l3packages -- High-level LaTeX3 concepts
 .
 latex -- A TeX macro package that defines LaTeX
 .
 latex-bin -- LaTeX executables and man pages
 .
 latex-fonts -- A collection of fonts used in LaTeX distributions
 .
 latex-lab -- LaTeX laboratory
 .
 latexconfig -- configuration files for LaTeX-related formats
 .
 letltxmacro -- Let assignment for LaTeX macros
 .
 ltxcmds -- Some LaTeX kernel commands for general use
 .
 ltxmisc -- Miscellaneous LaTeX packages, etc.
 .
 mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX
 .
 mptopdf -- mpost to PDF, native MetaPost graphics inclusion
 .
 natbib -- Flexible bibliography support
 .
 oberdiek -- A bundle of packages submitted by Heiko Oberdiek
 .
 pagesel -- Select pages of a document for output
 .
 pdfescape -- Implements pdfTeX's escape features using TeX or e-TeX
 .
 pslatex -- Use PostScript fonts by default
 .
 psnfss -- Font support for common PostScript fonts
 .
 pspicture -- PostScript picture support
 .
 refcount -- Counter operations with label references
 .
 rerunfilecheck -- Checksum based rerun checks on auxiliary files
 .
 stringenc -- Converting a string between different encodings
 .
 tools -- The LaTeX standard tools bundle
 .
 uniquecounter -- Provides unlimited unique counter
 .
 url -- Verbatim with URL-sensitive line breaks
 .
 hypdoc -- Hyper extensions for doc.sty
 .
 pdftexcmds -- LuaTeX support for pdfTeX utility functions
 .
 infwarerr -- Complete set of information/warning/error message macros

Package: texlive-latex-recommended
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, texlive-base (>= 2022.20220405), texlive-binaries (>= 2025.20250727), texlive-latex-base (>= 2025.20250727)
Suggests: texlive-latex-recommended-doc, texlive-luatex, texlive-pstricks

=== debian/rules ===
#!/usr/bin/make -f
# 
# debian/rules file for texlive-base

PACKAGES=texlive-base texlive-latex-base texlive-latex-recommended texlive-fonts-recommended texlive-pictures texlive-luatex texlive-metapost texlive-xetex texlive-fonts-recommended-doc texlive-latex-base-doc texlive-latex-recommended-doc texlive-metapost-doc texlive-pictures-doc
METAPACKAGES=texlive texlive-full

SHELL=/bin/bash

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:

	touch build-stamp

clean: 
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  rm -f debian/$$i.{README.Debian,links,links.generated} ; \
	  rm -f debian/$$i.{postinst,postrm,preinst,prerm} ; \
	  rm -f debian/$$i.{maps,hyphens,formats,info} ; \
	  rm -f debian/$$i.{lintian-overrides} ; \
	done

	rm -f debian/texlive-base.cnf


	# texlive contains some .orig files we need to keep otherwise
	# the copy will fail due to the files occurring in the tlpdb
	dh_clean -X.orig -X.bak
	rm -f configure-stamp
	rm -f build-stamp
	rm -f install-stamp

install: install-stamp

install-stamp: build-stamp
	# make sure we have texmf-dist/web2c otherwise the media detection
	# might break (like in texlive-lang)
	mkdir -p texmf-dist/web2c
	perl debian/tpm2deb-bin.pl --nosource $(PACKAGES) $(METAPACKAGES)
	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/generate-license-file $$i ; \
	  bash debian/fix-privacy-breach $$i ; \
	  bash debian/useless-fix-perl-shebang-for-policy $$i ; \
	  find debian/$i/usr/share -name \*.jar -exec chmod ugo-x '{}' \; ; \
	  if [ -r debian/$$i.links.dist ] ; then cat debian/$$i.links.dist >> debian/$$i.links ; fi ; \
	done

	mkdir -p debian/texlive-base/etc/texmf/texdoctk
	mv debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk/texdocrc.defaults \
	  debian/texlive-base/etc/texmf/texdoctk
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/texlive/texmf-dist/texdoctk
	mkdir -p debian/texlive-base/usr/share/applications
	install debian/texdoctk.desktop debian/texlive-base/usr/share/applications
	# install texdoc data cache
	mkdir -p debian/texlive-base/usr/share/texlive/texmf-dist/scripts/texdoc/
	install debian/Data.tlpdb.lua debian/texlive-base/usr/share/texlive/texmf-dist/scripts/texdoc/Data.tlpdb.lua



	for i in $(PACKAGES) $(METAPACKAGES) ; do \
	  bash debian/create-font-links $$i >> debian/$$i.links ; \
	done
	touch install-stamp

binary-arch:

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installdirs
	#dh_installmenu
	dh_lintian
	dh_bugfiles -A
	dh_installdocs -A debian/README.source debian/README.Debian

	dh_installdocs -p texlive-base README readme-txt.dir readme-html.dir debian/CHANGES.packaging debian/README.tlmgr-on-Debian.md
	# nasty trick
	# mptopdf needs a dump, but is a link to a script
	# we have to trick dh_installtex to accept it
	mv debian/texlive-latex-base/usr/bin/mptopdf	\
		debian/texlive-latex-base/usr/bin/mptopdf.bck
	ln -s pdftex debian/texlive-latex-base/usr/bin/mptopdf
	dh_installtex -Ntexlive-base -A 		\
		$(patsubst %,-N%,$(METAPACKAGES))	\
		--flavor=tree:texlive
	# nasty trick undoing
	rm debian/texlive-latex-base/usr/bin/mptopdf
	mv debian/texlive-latex-base/usr/bin/mptopdf.bck	\
		debian/texlive-latex-base/usr/bin/mptopdf
	# end of nasty trick
	dh_installtex -ptexlive-base --flavor=tree:texlive
	# /usr/bin/mf has been created by dh_installtex as symlink to 
	# mf-nowin, but is also shipped by texlive-binaries, remove it.
	rm debian/texlive-base/usr/bin/mf
	# furthermore we want to have etex and pdfetex as links in 
	# texlive-binaries and not in texlive-base, remove them here
	# and add them via dh_link in texlive-binaries
	# this is just out of history, would be nicer to have changed
	rm debian/texlive-base/usr/bin/etex 
	rm debian/texlive-base/usr/bin/pdfetex
	# for the libpaper hook, install templates and
	# translations. No need to modify postrm. I hope it accepts
	# the missing config script
	dh_installdebconf -n
	cp debian/texlive-base.libpaper debian/texlive-base/etc/libpaper.d/texlive-base
	chmod a+x debian/texlive-base/etc/libpaper.d/texlive-base

	dh_installemacsen
	dh_installchangelogs
	dh_installman
	bash debian/fix-manpages.sh
	# info pages
	bash debian/convert-info-files-to-unix.sh
	dh_installinfo

	# remove info files that are present in texlive-binaries
	# has to be done after the dh_installinfo call
	rm debian/texlive-base/usr/share/info/dvips.info*
	rm debian/texlive-base/usr/share/info/web2c.info*
	rm debian/texlive-base/usr/share/info/kpathsea.info*
	rmdir --ignore-fail-on-non-empty debian/texlive-base/usr/share/info

	dh_installmime
	dh_lintian
	dh_link

	dh_strip_nondeterminism
	dh_compress -X.pdf
	dh_fixperms
	# remove .bat files, nobody needs them
	find debian/texlive-*/usr/share/texlive/texmf-dist/ -name \*.bat -a -type f -exec rm '{}' \;
	# remove x bit from files in the doc hierarchy
	find debian/texlive-*/usr/share/doc/texlive-doc -type f -exec chmod a-x '{}' \;
	# remove x bit from jar files
	find debian/texlive-*/usr/share/texlive -name \*.jar -exec chmod a-x '{}' \;
	# we also have to fix the permissions of the link targets from /usr/bin
	bash debian/fix-bin-symlink-targets-permissions.sh
	dh_installdeb
	dh_gencontrol
	dh_md5sums

	dh_builddeb -- -Zxz


binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

# eof
